# OneshotTransfer
<span class="source-link">[[Source]](src/net-http/payload.md#L7)</span>
```pony
primitive val OneshotTransfer
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/payload.md#L7)</span>


```pony
new val create()
: OneshotTransfer val^
```

#### Returns

* [OneshotTransfer](net-http-OneshotTransfer) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net-http/payload.md#L9)</span>


```pony
fun box eq(
  that: OneshotTransfer val)
: Bool val
```
#### Parameters

*   that: [OneshotTransfer](net-http-OneshotTransfer) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-http/payload.md#L9)</span>


```pony
fun box ne(
  that: OneshotTransfer val)
: Bool val
```
#### Parameters

*   that: [OneshotTransfer](net-http-OneshotTransfer) val

#### Returns

* [Bool](builtin-Bool) val

---

